IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/92
Addresses2^36
/64 networksPart of one
- Network
2001:db8::130:0:0/92- First address
2001:db8::130:0:0- Last address
2001:db8::13f:ffff:ffff- Addresses
- 68,719,476,736 (2^36)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0000:0130:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
3.1.0.0.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::130:0:0/92 makes 4,096 subnets of /104; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::130:0:0/104 | 2001:db8::130:ff:ffff |
| 2 | 2001:db8::130:100:0/104 | 2001:db8::130:1ff:ffff |
| 3 | 2001:db8::130:200:0/104 | 2001:db8::130:2ff:ffff |
| 4 | 2001:db8::130:300:0/104 | 2001:db8::130:3ff:ffff |
| 5 | 2001:db8::130:400:0/104 | 2001:db8::130:4ff:ffff |
| 6 | 2001:db8::130:500:0/104 | 2001:db8::130:5ff:ffff |
| 7 | 2001:db8::130:600:0/104 | 2001:db8::130:6ff:ffff |
| 8 | 2001:db8::130:700:0/104 | 2001:db8::130:7ff:ffff |
| 9 | 2001:db8::130:800:0/104 | 2001:db8::130:8ff:ffff |
| 10 | 2001:db8::130:900:0/104 | 2001:db8::130:9ff:ffff |
| 11 | 2001:db8::130:a00:0/104 | 2001:db8::130:aff:ffff |
| 12 | 2001:db8::130:b00:0/104 | 2001:db8::130:bff:ffff |
| 13 | 2001:db8::130:c00:0/104 | 2001:db8::130:cff:ffff |
| 14 | 2001:db8::130:d00:0/104 | 2001:db8::130:dff:ffff |
| 15 | 2001:db8::130:e00:0/104 | 2001:db8::130:eff:ffff |
| 16 | 2001:db8::130:f00:0/104 | 2001:db8::130:fff:ffff |
| 17 | 2001:db8::130:1000:0/104 | 2001:db8::130:10ff:ffff |
| 18 | 2001:db8::130:1100:0/104 | 2001:db8::130:11ff:ffff |
| 19 | 2001:db8::130:1200:0/104 | 2001:db8::130:12ff:ffff |
| 20 | 2001:db8::130:1300:0/104 | 2001:db8::130:13ff:ffff |
| 21 | 2001:db8::130:1400:0/104 | 2001:db8::130:14ff:ffff |
| 22 | 2001:db8::130:1500:0/104 | 2001:db8::130:15ff:ffff |
| 23 | 2001:db8::130:1600:0/104 | 2001:db8::130:16ff:ffff |
| 24 | 2001:db8::130:1700:0/104 | 2001:db8::130:17ff:ffff |
| 25 | 2001:db8::130:1800:0/104 | 2001:db8::130:18ff:ffff |
| 26 | 2001:db8::130:1900:0/104 | 2001:db8::130:19ff:ffff |
| 27 | 2001:db8::130:1a00:0/104 | 2001:db8::130:1aff:ffff |
| 28 | 2001:db8::130:1b00:0/104 | 2001:db8::130:1bff:ffff |
| 29 | 2001:db8::130:1c00:0/104 | 2001:db8::130:1cff:ffff |
| 30 | 2001:db8::130:1d00:0/104 | 2001:db8::130:1dff:ffff |
| 31 | 2001:db8::130:1e00:0/104 | 2001:db8::130:1eff:ffff |
| 32 | 2001:db8::130:1f00:0/104 | 2001:db8::130:1fff:ffff |
| 33 | 2001:db8::130:2000:0/104 | 2001:db8::130:20ff:ffff |
| 34 | 2001:db8::130:2100:0/104 | 2001:db8::130:21ff:ffff |
| 35 | 2001:db8::130:2200:0/104 | 2001:db8::130:22ff:ffff |
| 36 | 2001:db8::130:2300:0/104 | 2001:db8::130:23ff:ffff |
| 37 | 2001:db8::130:2400:0/104 | 2001:db8::130:24ff:ffff |
| 38 | 2001:db8::130:2500:0/104 | 2001:db8::130:25ff:ffff |
| 39 | 2001:db8::130:2600:0/104 | 2001:db8::130:26ff:ffff |
| 40 | 2001:db8::130:2700:0/104 | 2001:db8::130:27ff:ffff |
| 41 | 2001:db8::130:2800:0/104 | 2001:db8::130:28ff:ffff |
| 42 | 2001:db8::130:2900:0/104 | 2001:db8::130:29ff:ffff |
| 43 | 2001:db8::130:2a00:0/104 | 2001:db8::130:2aff:ffff |
| 44 | 2001:db8::130:2b00:0/104 | 2001:db8::130:2bff:ffff |
| 45 | 2001:db8::130:2c00:0/104 | 2001:db8::130:2cff:ffff |
| 46 | 2001:db8::130:2d00:0/104 | 2001:db8::130:2dff:ffff |
| 47 | 2001:db8::130:2e00:0/104 | 2001:db8::130:2eff:ffff |
| 48 | 2001:db8::130:2f00:0/104 | 2001:db8::130:2fff:ffff |
| 49 | 2001:db8::130:3000:0/104 | 2001:db8::130:30ff:ffff |
| 50 | 2001:db8::130:3100:0/104 | 2001:db8::130:31ff:ffff |
| 51 | 2001:db8::130:3200:0/104 | 2001:db8::130:32ff:ffff |
| 52 | 2001:db8::130:3300:0/104 | 2001:db8::130:33ff:ffff |
| 53 | 2001:db8::130:3400:0/104 | 2001:db8::130:34ff:ffff |
| 54 | 2001:db8::130:3500:0/104 | 2001:db8::130:35ff:ffff |
| 55 | 2001:db8::130:3600:0/104 | 2001:db8::130:36ff:ffff |
| 56 | 2001:db8::130:3700:0/104 | 2001:db8::130:37ff:ffff |
| 57 | 2001:db8::130:3800:0/104 | 2001:db8::130:38ff:ffff |
| 58 | 2001:db8::130:3900:0/104 | 2001:db8::130:39ff:ffff |
| 59 | 2001:db8::130:3a00:0/104 | 2001:db8::130:3aff:ffff |
| 60 | 2001:db8::130:3b00:0/104 | 2001:db8::130:3bff:ffff |
| 61 | 2001:db8::130:3c00:0/104 | 2001:db8::130:3cff:ffff |
| 62 | 2001:db8::130:3d00:0/104 | 2001:db8::130:3dff:ffff |
| 63 | 2001:db8::130:3e00:0/104 | 2001:db8::130:3eff:ffff |
| 64 | 2001:db8::130:3f00:0/104 | 2001:db8::130:3fff:ffff |
| 65 | 2001:db8::130:4000:0/104 | 2001:db8::130:40ff:ffff |
| 66 | 2001:db8::130:4100:0/104 | 2001:db8::130:41ff:ffff |
| 67 | 2001:db8::130:4200:0/104 | 2001:db8::130:42ff:ffff |
| 68 | 2001:db8::130:4300:0/104 | 2001:db8::130:43ff:ffff |
| 69 | 2001:db8::130:4400:0/104 | 2001:db8::130:44ff:ffff |
| 70 | 2001:db8::130:4500:0/104 | 2001:db8::130:45ff:ffff |
| 71 | 2001:db8::130:4600:0/104 | 2001:db8::130:46ff:ffff |
| 72 | 2001:db8::130:4700:0/104 | 2001:db8::130:47ff:ffff |
| 73 | 2001:db8::130:4800:0/104 | 2001:db8::130:48ff:ffff |
| 74 | 2001:db8::130:4900:0/104 | 2001:db8::130:49ff:ffff |
| 75 | 2001:db8::130:4a00:0/104 | 2001:db8::130:4aff:ffff |
| 76 | 2001:db8::130:4b00:0/104 | 2001:db8::130:4bff:ffff |
| 77 | 2001:db8::130:4c00:0/104 | 2001:db8::130:4cff:ffff |
| 78 | 2001:db8::130:4d00:0/104 | 2001:db8::130:4dff:ffff |
| 79 | 2001:db8::130:4e00:0/104 | 2001:db8::130:4eff:ffff |
| 80 | 2001:db8::130:4f00:0/104 | 2001:db8::130:4fff:ffff |
| 81 | 2001:db8::130:5000:0/104 | 2001:db8::130:50ff:ffff |
| 82 | 2001:db8::130:5100:0/104 | 2001:db8::130:51ff:ffff |
| 83 | 2001:db8::130:5200:0/104 | 2001:db8::130:52ff:ffff |
| 84 | 2001:db8::130:5300:0/104 | 2001:db8::130:53ff:ffff |
| 85 | 2001:db8::130:5400:0/104 | 2001:db8::130:54ff:ffff |
| 86 | 2001:db8::130:5500:0/104 | 2001:db8::130:55ff:ffff |
| 87 | 2001:db8::130:5600:0/104 | 2001:db8::130:56ff:ffff |
| 88 | 2001:db8::130:5700:0/104 | 2001:db8::130:57ff:ffff |
| 89 | 2001:db8::130:5800:0/104 | 2001:db8::130:58ff:ffff |
| 90 | 2001:db8::130:5900:0/104 | 2001:db8::130:59ff:ffff |
| 91 | 2001:db8::130:5a00:0/104 | 2001:db8::130:5aff:ffff |
| 92 | 2001:db8::130:5b00:0/104 | 2001:db8::130:5bff:ffff |
| 93 | 2001:db8::130:5c00:0/104 | 2001:db8::130:5cff:ffff |
| 94 | 2001:db8::130:5d00:0/104 | 2001:db8::130:5dff:ffff |
| 95 | 2001:db8::130:5e00:0/104 | 2001:db8::130:5eff:ffff |
| 96 | 2001:db8::130:5f00:0/104 | 2001:db8::130:5fff:ffff |
| 97 | 2001:db8::130:6000:0/104 | 2001:db8::130:60ff:ffff |
| 98 | 2001:db8::130:6100:0/104 | 2001:db8::130:61ff:ffff |
| 99 | 2001:db8::130:6200:0/104 | 2001:db8::130:62ff:ffff |
| 100 | 2001:db8::130:6300:0/104 | 2001:db8::130:63ff:ffff |
| 101 | 2001:db8::130:6400:0/104 | 2001:db8::130:64ff:ffff |
| 102 | 2001:db8::130:6500:0/104 | 2001:db8::130:65ff:ffff |
| 103 | 2001:db8::130:6600:0/104 | 2001:db8::130:66ff:ffff |
| 104 | 2001:db8::130:6700:0/104 | 2001:db8::130:67ff:ffff |
| 105 | 2001:db8::130:6800:0/104 | 2001:db8::130:68ff:ffff |
| 106 | 2001:db8::130:6900:0/104 | 2001:db8::130:69ff:ffff |
| 107 | 2001:db8::130:6a00:0/104 | 2001:db8::130:6aff:ffff |
| 108 | 2001:db8::130:6b00:0/104 | 2001:db8::130:6bff:ffff |
| 109 | 2001:db8::130:6c00:0/104 | 2001:db8::130:6cff:ffff |
| 110 | 2001:db8::130:6d00:0/104 | 2001:db8::130:6dff:ffff |
| 111 | 2001:db8::130:6e00:0/104 | 2001:db8::130:6eff:ffff |
| 112 | 2001:db8::130:6f00:0/104 | 2001:db8::130:6fff:ffff |
| 113 | 2001:db8::130:7000:0/104 | 2001:db8::130:70ff:ffff |
| 114 | 2001:db8::130:7100:0/104 | 2001:db8::130:71ff:ffff |
| 115 | 2001:db8::130:7200:0/104 | 2001:db8::130:72ff:ffff |
| 116 | 2001:db8::130:7300:0/104 | 2001:db8::130:73ff:ffff |
| 117 | 2001:db8::130:7400:0/104 | 2001:db8::130:74ff:ffff |
| 118 | 2001:db8::130:7500:0/104 | 2001:db8::130:75ff:ffff |
| 119 | 2001:db8::130:7600:0/104 | 2001:db8::130:76ff:ffff |
| 120 | 2001:db8::130:7700:0/104 | 2001:db8::130:77ff:ffff |
| 121 | 2001:db8::130:7800:0/104 | 2001:db8::130:78ff:ffff |
| 122 | 2001:db8::130:7900:0/104 | 2001:db8::130:79ff:ffff |
| 123 | 2001:db8::130:7a00:0/104 | 2001:db8::130:7aff:ffff |
| 124 | 2001:db8::130:7b00:0/104 | 2001:db8::130:7bff:ffff |
| 125 | 2001:db8::130:7c00:0/104 | 2001:db8::130:7cff:ffff |
| 126 | 2001:db8::130:7d00:0/104 | 2001:db8::130:7dff:ffff |
| 127 | 2001:db8::130:7e00:0/104 | 2001:db8::130:7eff:ffff |
| 128 | 2001:db8::130:7f00:0/104 | 2001:db8::130:7fff:ffff |
| 129 | 2001:db8::130:8000:0/104 | 2001:db8::130:80ff:ffff |
| 130 | 2001:db8::130:8100:0/104 | 2001:db8::130:81ff:ffff |
| 131 | 2001:db8::130:8200:0/104 | 2001:db8::130:82ff:ffff |
| 132 | 2001:db8::130:8300:0/104 | 2001:db8::130:83ff:ffff |
| 133 | 2001:db8::130:8400:0/104 | 2001:db8::130:84ff:ffff |
| 134 | 2001:db8::130:8500:0/104 | 2001:db8::130:85ff:ffff |
| 135 | 2001:db8::130:8600:0/104 | 2001:db8::130:86ff:ffff |
| 136 | 2001:db8::130:8700:0/104 | 2001:db8::130:87ff:ffff |
| 137 | 2001:db8::130:8800:0/104 | 2001:db8::130:88ff:ffff |
| 138 | 2001:db8::130:8900:0/104 | 2001:db8::130:89ff:ffff |
| 139 | 2001:db8::130:8a00:0/104 | 2001:db8::130:8aff:ffff |
| 140 | 2001:db8::130:8b00:0/104 | 2001:db8::130:8bff:ffff |
| 141 | 2001:db8::130:8c00:0/104 | 2001:db8::130:8cff:ffff |
| 142 | 2001:db8::130:8d00:0/104 | 2001:db8::130:8dff:ffff |
| 143 | 2001:db8::130:8e00:0/104 | 2001:db8::130:8eff:ffff |
| 144 | 2001:db8::130:8f00:0/104 | 2001:db8::130:8fff:ffff |
| 145 | 2001:db8::130:9000:0/104 | 2001:db8::130:90ff:ffff |
| 146 | 2001:db8::130:9100:0/104 | 2001:db8::130:91ff:ffff |
| 147 | 2001:db8::130:9200:0/104 | 2001:db8::130:92ff:ffff |
| 148 | 2001:db8::130:9300:0/104 | 2001:db8::130:93ff:ffff |
| 149 | 2001:db8::130:9400:0/104 | 2001:db8::130:94ff:ffff |
| 150 | 2001:db8::130:9500:0/104 | 2001:db8::130:95ff:ffff |
| 151 | 2001:db8::130:9600:0/104 | 2001:db8::130:96ff:ffff |
| 152 | 2001:db8::130:9700:0/104 | 2001:db8::130:97ff:ffff |
| 153 | 2001:db8::130:9800:0/104 | 2001:db8::130:98ff:ffff |
| 154 | 2001:db8::130:9900:0/104 | 2001:db8::130:99ff:ffff |
| 155 | 2001:db8::130:9a00:0/104 | 2001:db8::130:9aff:ffff |
| 156 | 2001:db8::130:9b00:0/104 | 2001:db8::130:9bff:ffff |
| 157 | 2001:db8::130:9c00:0/104 | 2001:db8::130:9cff:ffff |
| 158 | 2001:db8::130:9d00:0/104 | 2001:db8::130:9dff:ffff |
| 159 | 2001:db8::130:9e00:0/104 | 2001:db8::130:9eff:ffff |
| 160 | 2001:db8::130:9f00:0/104 | 2001:db8::130:9fff:ffff |
| 161 | 2001:db8::130:a000:0/104 | 2001:db8::130:a0ff:ffff |
| 162 | 2001:db8::130:a100:0/104 | 2001:db8::130:a1ff:ffff |
| 163 | 2001:db8::130:a200:0/104 | 2001:db8::130:a2ff:ffff |
| 164 | 2001:db8::130:a300:0/104 | 2001:db8::130:a3ff:ffff |
| 165 | 2001:db8::130:a400:0/104 | 2001:db8::130:a4ff:ffff |
| 166 | 2001:db8::130:a500:0/104 | 2001:db8::130:a5ff:ffff |
| 167 | 2001:db8::130:a600:0/104 | 2001:db8::130:a6ff:ffff |
| 168 | 2001:db8::130:a700:0/104 | 2001:db8::130:a7ff:ffff |
| 169 | 2001:db8::130:a800:0/104 | 2001:db8::130:a8ff:ffff |
| 170 | 2001:db8::130:a900:0/104 | 2001:db8::130:a9ff:ffff |
| 171 | 2001:db8::130:aa00:0/104 | 2001:db8::130:aaff:ffff |
| 172 | 2001:db8::130:ab00:0/104 | 2001:db8::130:abff:ffff |
| 173 | 2001:db8::130:ac00:0/104 | 2001:db8::130:acff:ffff |
| 174 | 2001:db8::130:ad00:0/104 | 2001:db8::130:adff:ffff |
| 175 | 2001:db8::130:ae00:0/104 | 2001:db8::130:aeff:ffff |
| 176 | 2001:db8::130:af00:0/104 | 2001:db8::130:afff:ffff |
| 177 | 2001:db8::130:b000:0/104 | 2001:db8::130:b0ff:ffff |
| 178 | 2001:db8::130:b100:0/104 | 2001:db8::130:b1ff:ffff |
| 179 | 2001:db8::130:b200:0/104 | 2001:db8::130:b2ff:ffff |
| 180 | 2001:db8::130:b300:0/104 | 2001:db8::130:b3ff:ffff |
| 181 | 2001:db8::130:b400:0/104 | 2001:db8::130:b4ff:ffff |
| 182 | 2001:db8::130:b500:0/104 | 2001:db8::130:b5ff:ffff |
| 183 | 2001:db8::130:b600:0/104 | 2001:db8::130:b6ff:ffff |
| 184 | 2001:db8::130:b700:0/104 | 2001:db8::130:b7ff:ffff |
| 185 | 2001:db8::130:b800:0/104 | 2001:db8::130:b8ff:ffff |
| 186 | 2001:db8::130:b900:0/104 | 2001:db8::130:b9ff:ffff |
| 187 | 2001:db8::130:ba00:0/104 | 2001:db8::130:baff:ffff |
| 188 | 2001:db8::130:bb00:0/104 | 2001:db8::130:bbff:ffff |
| 189 | 2001:db8::130:bc00:0/104 | 2001:db8::130:bcff:ffff |
| 190 | 2001:db8::130:bd00:0/104 | 2001:db8::130:bdff:ffff |
| 191 | 2001:db8::130:be00:0/104 | 2001:db8::130:beff:ffff |
| 192 | 2001:db8::130:bf00:0/104 | 2001:db8::130:bfff:ffff |
| 193 | 2001:db8::130:c000:0/104 | 2001:db8::130:c0ff:ffff |
| 194 | 2001:db8::130:c100:0/104 | 2001:db8::130:c1ff:ffff |
| 195 | 2001:db8::130:c200:0/104 | 2001:db8::130:c2ff:ffff |
| 196 | 2001:db8::130:c300:0/104 | 2001:db8::130:c3ff:ffff |
| 197 | 2001:db8::130:c400:0/104 | 2001:db8::130:c4ff:ffff |
| 198 | 2001:db8::130:c500:0/104 | 2001:db8::130:c5ff:ffff |
| 199 | 2001:db8::130:c600:0/104 | 2001:db8::130:c6ff:ffff |
| 200 | 2001:db8::130:c700:0/104 | 2001:db8::130:c7ff:ffff |
| 201 | 2001:db8::130:c800:0/104 | 2001:db8::130:c8ff:ffff |
| 202 | 2001:db8::130:c900:0/104 | 2001:db8::130:c9ff:ffff |
| 203 | 2001:db8::130:ca00:0/104 | 2001:db8::130:caff:ffff |
| 204 | 2001:db8::130:cb00:0/104 | 2001:db8::130:cbff:ffff |
| 205 | 2001:db8::130:cc00:0/104 | 2001:db8::130:ccff:ffff |
| 206 | 2001:db8::130:cd00:0/104 | 2001:db8::130:cdff:ffff |
| 207 | 2001:db8::130:ce00:0/104 | 2001:db8::130:ceff:ffff |
| 208 | 2001:db8::130:cf00:0/104 | 2001:db8::130:cfff:ffff |
| 209 | 2001:db8::130:d000:0/104 | 2001:db8::130:d0ff:ffff |
| 210 | 2001:db8::130:d100:0/104 | 2001:db8::130:d1ff:ffff |
| 211 | 2001:db8::130:d200:0/104 | 2001:db8::130:d2ff:ffff |
| 212 | 2001:db8::130:d300:0/104 | 2001:db8::130:d3ff:ffff |
| 213 | 2001:db8::130:d400:0/104 | 2001:db8::130:d4ff:ffff |
| 214 | 2001:db8::130:d500:0/104 | 2001:db8::130:d5ff:ffff |
| 215 | 2001:db8::130:d600:0/104 | 2001:db8::130:d6ff:ffff |
| 216 | 2001:db8::130:d700:0/104 | 2001:db8::130:d7ff:ffff |
| 217 | 2001:db8::130:d800:0/104 | 2001:db8::130:d8ff:ffff |
| 218 | 2001:db8::130:d900:0/104 | 2001:db8::130:d9ff:ffff |
| 219 | 2001:db8::130:da00:0/104 | 2001:db8::130:daff:ffff |
| 220 | 2001:db8::130:db00:0/104 | 2001:db8::130:dbff:ffff |
| 221 | 2001:db8::130:dc00:0/104 | 2001:db8::130:dcff:ffff |
| 222 | 2001:db8::130:dd00:0/104 | 2001:db8::130:ddff:ffff |
| 223 | 2001:db8::130:de00:0/104 | 2001:db8::130:deff:ffff |
| 224 | 2001:db8::130:df00:0/104 | 2001:db8::130:dfff:ffff |
| 225 | 2001:db8::130:e000:0/104 | 2001:db8::130:e0ff:ffff |
| 226 | 2001:db8::130:e100:0/104 | 2001:db8::130:e1ff:ffff |
| 227 | 2001:db8::130:e200:0/104 | 2001:db8::130:e2ff:ffff |
| 228 | 2001:db8::130:e300:0/104 | 2001:db8::130:e3ff:ffff |
| 229 | 2001:db8::130:e400:0/104 | 2001:db8::130:e4ff:ffff |
| 230 | 2001:db8::130:e500:0/104 | 2001:db8::130:e5ff:ffff |
| 231 | 2001:db8::130:e600:0/104 | 2001:db8::130:e6ff:ffff |
| 232 | 2001:db8::130:e700:0/104 | 2001:db8::130:e7ff:ffff |
| 233 | 2001:db8::130:e800:0/104 | 2001:db8::130:e8ff:ffff |
| 234 | 2001:db8::130:e900:0/104 | 2001:db8::130:e9ff:ffff |
| 235 | 2001:db8::130:ea00:0/104 | 2001:db8::130:eaff:ffff |
| 236 | 2001:db8::130:eb00:0/104 | 2001:db8::130:ebff:ffff |
| 237 | 2001:db8::130:ec00:0/104 | 2001:db8::130:ecff:ffff |
| 238 | 2001:db8::130:ed00:0/104 | 2001:db8::130:edff:ffff |
| 239 | 2001:db8::130:ee00:0/104 | 2001:db8::130:eeff:ffff |
| 240 | 2001:db8::130:ef00:0/104 | 2001:db8::130:efff:ffff |
| 241 | 2001:db8::130:f000:0/104 | 2001:db8::130:f0ff:ffff |
| 242 | 2001:db8::130:f100:0/104 | 2001:db8::130:f1ff:ffff |
| 243 | 2001:db8::130:f200:0/104 | 2001:db8::130:f2ff:ffff |
| 244 | 2001:db8::130:f300:0/104 | 2001:db8::130:f3ff:ffff |
| 245 | 2001:db8::130:f400:0/104 | 2001:db8::130:f4ff:ffff |
| 246 | 2001:db8::130:f500:0/104 | 2001:db8::130:f5ff:ffff |
| 247 | 2001:db8::130:f600:0/104 | 2001:db8::130:f6ff:ffff |
| 248 | 2001:db8::130:f700:0/104 | 2001:db8::130:f7ff:ffff |
| 249 | 2001:db8::130:f800:0/104 | 2001:db8::130:f8ff:ffff |
| 250 | 2001:db8::130:f900:0/104 | 2001:db8::130:f9ff:ffff |
| 251 | 2001:db8::130:fa00:0/104 | 2001:db8::130:faff:ffff |
| 252 | 2001:db8::130:fb00:0/104 | 2001:db8::130:fbff:ffff |
| 253 | 2001:db8::130:fc00:0/104 | 2001:db8::130:fcff:ffff |
| 254 | 2001:db8::130:fd00:0/104 | 2001:db8::130:fdff:ffff |
| 255 | 2001:db8::130:fe00:0/104 | 2001:db8::130:feff:ffff |
| 256 | 2001:db8::130:ff00:0/104 | 2001:db8::130:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |